#
#Test gloss
#Glossaries auf Basis von BibTeX
#
$:.unshift('../../lib')
require 'rake4latex'
=begin
Erzeugt .gls.aux bzw. test_gloss_newgloss.animals.aux
Diese normal verwenden.
=end

deps = [
  'testdocument.tex',
  ]

#Aditional dependecy to recognize bib-changes
deps << 'test_gloss.bib'
file 'testdocument.gls.bbl' => 'test_gloss.bib'
file 'testdocument.gls.bbl' => 'testdocument.aux'
file 'testdocument.animals.bbl' => 'test_gloss.bib'
file 'testdocument.animals.bbl' => 'testdocument.aux'


file 'testdocument.dvi' => deps
file 'testdocument.pdf' => deps

#~ file 'testdocument.dvi' => LaTeXRunner.find_included_files( 'testdocument.tex' ).flatten.uniq

Rake4LaTeX::Basefile.set("testdocument.tex")
task :touch => 'testdocument.tex' ##Zeitstempel anpassen/Kompilation erzwingen

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :clean

#~ task :clean do
  #~ puts CLEAN.inspect
  #~ puts CLOBBER.inspect
#~ end

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]
desc "Check if bib-change restarts the TeX-process"
task :test_bib => [ :touch_bib, 'testdocument.pdf' ]

task :touch_bib do
  FileUtils.touch('test_gloss.bib')
end

task :build_rakefile do
  puts Rake4LaTeX.build_rakefile('testdocument.tex', :dvi, :pdf, :gloss ).sub(Date.today.to_s, '<<today>>')
end
task :test_build_rakefile => [ :build_rakefile ]


if $0 == __FILE__
  app = Rake.application
  #~ Rake4LaTeX.set_latexrunner_default(:maxruns, 1)
  #~ Rake4LaTeX.set_latexrunner_default(:loglevel, Log4r::DEBUG)
  #~ app[:default].invoke
  
  app[:test_build_rakefile ].invoke
  
  #~ app[:clean].invoke
  
end