#
# Test error
#
$:.unshift('../../lib')
require 'rake4latex'

#~ Rake4LaTeX::Basefile.set("testdocument_1.tex")
#~ task :basefile => 'testdocument_2.tex'
task :touch => 'testdocument_1.tex' #Zeitstempel anpassen/Kompilation erzwingen
task :touch => 'testdocument_2.tex' #Zeitstempel anpassen/Kompilation erzwingen

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :clean

Rake4LaTeX::Basefile.set('testdocument_1.tex')
Rake4LaTeX::Basefile.set('testdocument_2.tex')


desc "Testtask for Unittest"
task :test => [ :touch, 
  'testdocument_1.pdf', 'testdocument_1:statistic',
  'testdocument_2.pdf', 'testdocument_2:statistic', 
]

desc "Testtask for Unittest - all statistics."
task :test_statistic => [ :touch, 
  'testdocument_1.pdf', 
  'testdocument_2.pdf', 
  :statistic
]


#~ task :test => [ :touch, 
  #~ 'testdocument_1.pdf', :statistic,
  #~ 'testdocument_2.pdf', :statistic, 
#~ ]

if $0 == __FILE__
  app = Rake.application
  #~ app[:default].invoke
  #~ app[:test].invoke
  app[:test_statistic].invoke
  #~ app[:log_archive].invoke
  #~ app[:log_overview].invoke
  app[:clobber].invoke
end


