#
#Test Complex example
#
#* tableofcontents
#* Bibtex
#* Makeindex with splitindex
#
#
#
$:.unshift('../../lib')
require 'rake4latex'

dependecies = [
  'testdocument.tex',
  ]

#Aditional dependecy to recognize bib-changes
dependecies << 'testdocument.bib'
file 'testdocument.bbl' => 'testdocument.bib'

#Define dependecies
#~ file 'testdocument.dvi' => dependecies
file 'testdocument.pdf' => dependecies

#
#~ file 'testdocument.dvi' => LaTeXRunner.find_included_files( 'testdocument.tex' ).flatten.uniq

Rake4LaTeX::Basefile.set("testdocument.tex")
CLEAN.add("testdocument-*") #splitidx-helpfiles, Not detected by set4clean
task :touch => 'testdocument.tex' #Zeitstempel anpassen/Kompilation erzwingen

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :statistic
#~ task :default => :clean

#~ task :clean do
  #~ puts CLEAN.inspect
  #~ puts CLOBBER.inspect
#~ end

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]
task :test_statistic => [ :statistic ]
task :test_overview => [ :log_overview ]
task :test_overview_file => [ :log_overview_file ]

#
#There are errors
#
#~ Rake.application.set_latexrunner_default(:texerrors_allowed, true)

if $0 == __FILE__
  app = Rake.application
  #~ Rake4LaTeX.set_latexrunner_default(:maxruns, 1)
  #~ Rake4LaTeX.set_latexrunner_default(:loglevel, Log4r::DEBUG)
  #~ app.set_latexrunner_default(:texerrors_allowed, true)
  #~ app[:default].invoke
  #~ app[:statistic].invoke
  app[:test].invoke
  app[:clean].invoke
end