#
#Test BibTeX
#
#Braucht 3 Durchlufe
# 1  - erzeugt aux-datei (bibtex luft leer mit)
# 2 - aux-file enthlt cite, bibtex luft mit.
# 3 - tex verwendet daten
#
#

$:.unshift('../../lib')
require 'rake4latex'

deps = [
  'testdocument.tex',
  ]

#Aditional dependecy to recognize bib-changes
deps << 'testdocument.bib'
file 'testdocument.bbl' => 'testdocument.bib'


file 'testdocument.dvi' => deps
file 'testdocument.pdf' => deps

#

#~ file 'testdocument.dvi' => LaTeXRunner.find_included_files( 'testdocument.tex' ).flatten.uniq

Rake4LaTeX::Basefile.set("testdocument.tex")
task :touch => 'testdocument.tex' ##Zeitstempel anpassen/Kompilation erzwingen

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :clean

#~ task :clean do
  #~ puts CLEAN.inspect
  #~ puts CLOBBER.inspect
#~ end

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]
desc "Check if bib-change restarts the TeX-process"
task :test_bib => [ :touch_bib, 'testdocument.pdf' ]

task :touch_bib do
  FileUtils.touch('testdocument.bib')
end

task :build_rakefile do
  puts Rake4LaTeX.build_rakefile('testdocument.tex', :dvi, :pdf, :bib ).sub(Date.today.to_s, '<<today>>')
end
task :test_build_rakefile => [ :build_rakefile ]


if $0 == __FILE__
  app = Rake.application
  #~ Rake4LaTeX.set_latexrunner_default(:maxruns, 1)
  #~ Rake4LaTeX.set_latexrunner_default(:loglevel, Log4r::DEBUG)
  #~ app[:default].invoke
  
  #~ app[:clobber].invoke
  #~ app[:test].invoke
  #~ app[:test_bib].invoke
  
end