#
# Test error
#
$:.unshift('../../lib')
require 'rake4latex'

Rake4LaTeX::Basefile.set("testdocument.tex")
task :touch => 'testdocument.tex' #Zeitstempel anpassen/Kompilation erzwingen

task :ignore_error do
  Rake4LaTeX::Basefile.set("testdocument.tex")[:texerrors_allowed] = true
end

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :clean

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]
task :test_ignore_error => [ :touch, :ignore_error, 'testdocument.pdf' ]
task :test_statistic => [ :statistic ]
task :test_overview => [ :log_overview ]

if $0 == __FILE__
  app = Rake.application
  #~ app[:default].invoke
  #~ app[:test].invoke
  app[:test_statistic].invoke
  #~ app[:test_ignore_error].invoke
  #~ app[:log_archive].invoke
  #~ app[:log_overview].invoke
  #~ app[:clobber].invoke
end


