#
#Test Glossaries
#http://theoval.cmp.uea.ac.uk/~nlct/latex/packages/glossaries/glossaries-manual.html
#

$:.unshift('../../lib')
require 'rake4latex'
require 'rake4latex/glossaries'


deps = [
  'sample.tex',
  ]

file 'sample.dvi' => deps
file 'sample.pdf' => deps

#

#~ file 'sample.dvi' => LaTeXRunner.find_included_files( 'sample.tex' ).flatten.uniq

Rake4LaTeX::Basefile.set("sample.tex")
task :touch => 'sample.tex' ##Zeitstempel anpassen/Kompilation erzwingen

task :default => :touch
#~ task :default => 'sample.dvi'
task :default => 'sample.pdf'
task :default => :statistic
task :default => :clean

#fixme: CLEAN without previous TeX-Run does not work
CLEAN.include('sample.{acn,acr,alg,glg,ist}')


desc "Testtask for Unittest"
task :test => [ :touch, 'sample.pdf' ]


if $0 == __FILE__
  app = Rake.application
  #~ Rake4LaTeX.set_latexrunner_default(:maxruns, 1)
  #~ Rake4LaTeX.set_latexrunner_default(:loglevel, Log4r::DEBUG)
  #~ Rake4LaTeX.set_latexrunner_default(:texerrors_allowed, true)
  #~ app[:default].invoke
  app[:test].invoke
  
  app[:clean].invoke
  puts "!Fixme makeindex-Log"
end