#
# Test includes
#
$:.unshift('../../lib')
require 'rake4latex'

deps = [
  'testdocument.tex', 'testincludes/testinclude1.tex', 'testincludes/testinclude2.tex',
  #~ 'testdocument.ind',
  ]

#~ puts Rake4LaTeX::LaTeXDependencies.get_dependecies( 'testdocument.tex', :inputs ).to_yaml
#~ puts Rake4LaTeX::LaTeXDependencies.new('testdocument.tex').get_dependecies( :inputs ).inspect
#~ puts Rake4LaTeX::LaTeXDependencies.new('testdocument.tex').get_dependecies( :inputs, :flat ).inspect
#~ deps = Rake4LaTeX::LaTeXDependencies.new('testdocument.tex').get_dependecies( :inputs, :flat )

file 'testdocument.dvi' => deps
file 'testdocument.pdf' => deps

Rake4LaTeX::Basefile.set("testdocument.tex")
task :touch => 'testdocument.tex' #Zeitstempel anpassen/Kompilation erzwingen


#~ task :default => :touch
#~ task :default => 'testdocument.dvi'
#~ task :default => 'testdocument.pdf'
#~ task :default => :clean
task :default => :build_rakefile

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]

task :build_rakefile do
  puts Rake4LaTeX.build_rakefile('testdocument.tex', :dvi, :pdf, :dependecies ).sub(Date.today.to_s, '<<today>>')
end
task :test_build_rakefile => [ :build_rakefile ]

if $0 == __FILE__
  app = Rake.application
  app[:default].invoke
end


