#
#Testcase splitindex
#
$:.unshift('../../lib')
require 'rake4latex'

#~ deps = [
  #~ 'testdocument.tex'
  #~ ]
#~ file 'testdocument.dvi' => deps
#~ file 'testdocument.pdf' => deps

#~ file 'testdocument.dvi' => LaTeXRunner.find_included_files( 'testdocument.tex' ).flatten.uniq

Rake4LaTeX::Basefile.set("testdocument.tex")
task :touch => 'testdocument.tex' #Zeitstempel anpassen/Kompilation erzwingen

#Not detected by set4clean:
CLEAN.add("testdocument-*") #splitidx-helpfiles

task :default => :touch
#~ task :default => 'testdocument.dvi'
task :default => 'testdocument.pdf'
task :default => :clean

#~ task :clean do
  #~ puts CLEAN.inspect
  #~ puts CLOBBER.inspect
#~ end

desc "Testtask for Unittest"
task :test => [ :touch, 'testdocument.pdf' ]

task :build_rakefile do
  puts Rake4LaTeX.build_rakefile('testdocument.tex', :pdf, :splitindex ).sub(Date.today.to_s, '<<today>>')
end
task :test_build_rakefile => [ :build_rakefile ]


if $0 == __FILE__
  app = Rake.application
  #~ Rake4LaTeX::DEFAULT_SETTINGS[:texerrors_allowed] = true
  #~ app[:clean].invoke
  #~ app[:default].invoke
  app[:test].invoke
  #~ app[:test_build_rakefile].invoke
end

__END__
